# Poco

# template < class C, class B >

# class MetaObject

Library: Foundation
Package: SharedLibrary
Header: Poco/MetaObject.h

## Description

A MetaObject stores some information about a C++ class. The MetaObject class is used by the Manifest class. A MetaObject can also be used as an object factory for its class.

## Inheritance

Direct Base Classes: AbstractMetaObject < B >

All Base Classes: AbstractMetaObject < B >

## Member Summary

Member Functions: canCreate, create, instance

## Constructors

### MetaObject

MetaObject(
const char * name
);

## Destructor

### ~MetaObject

~MetaObject();

## Member Functions

### canCreate

bool canCreate() const;

### create

B * create() const;

### instance

B & instance() const;